Bug 191028 - [PATCH] security/cryptopp: Build shared library by default
Summary: [PATCH] security/cryptopp: Build shared library by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Michael Gmelin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-14 13:03 UTC by Michael Gmelin
Modified: 2014-06-20 13:02 UTC (History)
0 users

See Also:


Attachments
Remove STATIC from OPTIONS_DEFAULT (481 bytes, patch)
2014-06-14 13:03 UTC, Michael Gmelin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gmelin freebsd_committer 2014-06-14 13:03:52 UTC
Created attachment 143770 [details]
Remove STATIC from OPTIONS_DEFAULT

Linking cryptopp statically doesn't work if it's used by multiple shared libraries at the same time and leads to segfaults on exit.

Given the rise of pkg and binary package distribution, changing the default to also build a dynamic version of the library seems more reasonable to me.
Comment 1 Michael Gmelin freebsd_committer 2014-06-14 14:19:54 UTC
I assigned this manually to Xin Li since it seems like we don't notify the maintainer automatically anymore :(
Comment 2 Xin LI freebsd_committer 2014-06-18 07:58:52 UTC
Approved.  Please go ahead and commit the patch.
Comment 3 commit-hook freebsd_committer 2014-06-20 13:01:55 UTC
A commit references this bug:

Author: grembo
Date: Fri Jun 20 13:01:44 UTC 2014
New revision: 358570
URL: http://svnweb.freebsd.org/changeset/ports/358570

Log:
  Build shared library by default

  PR:		191028
  Reviewed by:	bapt
  Approved by:	bapt

Changes:
  head/security/cryptopp/Makefile